; Copyright (c) 1991, Louis Marienthal, All Rights Reserved

;===
Proc UK_TextB ()
    ;===========

htitle.a = "VIEW MODE"
hpanel.f = true
hup.a = "A"
hdn.a = "C"
hlines.n = 12
hstyle.a = ""

Text
  View Mode   The DESC mode for review and selection.  You can scan
              through unit master forms and have unrestricted use of the
              Paradox Zoom function.

              The Enter key will move the cursor through the fields by
              assigned sequence number.

              From View Mode, to enter Edit Mode, press --

         F9     -- F9 to change the current record
     Alt-F9     -- Alt-F9 to enter a new record
        F10     -- F10 to exit DESC
EndText

EndProc
;======

;===
Proc UK_TextC ()
    ;===========

htitle.a = "EDIT MODE"
hpanel.f = true
hup.a = "B"
hdn.a = "D"
hlines.n = 17
hstyle.a = ""

Text
  Edit Mode   The DESC mode for data entry.  The typing and Enter keys
              are alive.  You can change and record entries in a field.

         F2   From Edit Mode, press F2 to OK/File a master record.

              If you have been modifying a record previously filed, DESC
              will return you to View Mode.  If you have been entering a
              new record, DESC will keep you in Edit Mode and show a new
              blank form.

     Ctrl-U   If you wish to back out the most recently filed record,
              press Ctrl-U to UnDo.

              From Edit Mode, if the record is new and blank, press --

         F5     -- F5 to enter View Mode
        F10     -- F10 to exit DESC
EndText

EndProc
;======

;===
Proc UK_TextD ()
    ;===========

htitle.a = "MASTER AND EMBEDDED FORMS"
hpanel.f = true
hup.a = "C"
hdn.a = "E"
hlines.n = 15
hstyle.a = ""

Text
     Master   The master form displays records from the master table.
              It can have multiple pages and have other forms embedded
              within it, or it can be MultiRecord.

   Embedded   An embedded from displays records from a table that is not
              the master.  It may be linked to the master form in one of
              several ways, or it may be unlinked.  It may be MultiRecord
              or not.

DisplayOnly   A form where data entry and the delete function are
              disabled, even in Edit Mode.

         F3   Press F3 or F4 to move from one form to another.  The moves
         F4   will be follow the data-entry sequence defined in the speci-
              fication, skipping forms where no data entry is defined.
EndText

EndProc
;======

;===
Proc UK_TextE ()
    ;===========

htitle.a = "UNIT AND MULTI-RECORD FORMS"
hpanel.f = true
hup.a = "D"
hdn.a = "F"
hlines.n = 13
hstyle.a = ""

Text
  Unit Form   A master or embedded form that shows only one record.

MultiRecord   A master or embedded form that shows more than one record
              at a time.  The form appears to have multiple lines -- like
              the body of an invoice.

              Unlinked forms and forms linked one-to-many (see below)
              can function like MultiRecord forms even though only one
              record may be displayed.

     Insert   In Edit Mode, on a MultiRecord form, you create a new
              blank record by pressing the Insert key (Ins) or by moving
              into the record below the last existing record.
EndText

EndProc
;======

;===
Proc UK_TextF ()
    ;===========

htitle.a = "KEY-LINKED FORMS"
hpanel.f = true
hup.a = "E"
hdn.a = "G"
hlines.n = 14
hstyle.a = ""

Text
 Linked 1-M   One-to-Many embedded forms are linked to the master by key
              fields.  Here, if the records in the master table have two
              key fields (e.g.), the linked records must have the same
              two key fields PLUS at least one more keyed field.
              Usually, forms linked 1-M are MultiRecord, but it is
              possible for them to show only one record.  In either case,
              DESC allows you to scan through the linked records.

 Linked 1-1   One to One embedded forms are also linked to the master by
              key fields.  Here, the embedded record has exactly the same
              keyed field(s) as the master.  Forms linked 1-1 are always
              unit forms.  Often these forms serve to rejoin fields that
              were separated because Paradox works efficiently with
              "narrow" tables.
EndText

EndProc
;======

;===
Proc UK_TextG ()
    ;===========

htitle.a = "FIELD-LINKED AND UNLINKED FORMS"
hpanel.f = true
hup.a = "F"
hdn.a = "H"
hlines.n = 14
hstyle.a = ""

Text
FieldLinked   Field-linked forms have one key field that links to any
              field in the master that is not the master's complete key.
              These are always unit forms.  They serve to expand data
              present in the master as a code field; e.g., if a master
              form includes a customer ID-code, the linked form might
              show the name and address of the customer.

   UnLinked   Unlinked forms display records from a Paradox table where
              none of the fields in a record is linked to any field in
              the master.  Here, the embedded form usually will show a
              range of potential entries for another embedded form, and
              unlinked forms are thus usually MultiRecord.  DESC always
              allows you to scan through the records of an unlinked form
              -- MultiRecord or not.
EndText

EndProc
;======

;===
Proc UK_TextH ()
    ;===========

htitle.a = "SCROLLING THROUGH RECORDS"
hpanel.f = true
hup.a = "G"
hdn.a = "I"
hlines.n = 14
hstyle.a = ""

Text
  Scrolling   Record Scrolling is possible as follows:

              1. In View Mode, through master records that are either
                 unit master forms or MultiRecord.

                 Scrolling through unit master records is not permitted
                 in Edit Mode because you have to explicitly press F2 to
                 OK/File each record.

              2. In either mode, with either the Scrolling keys or Up/Dn
                 Arrows, through MultiRecord forms and through unlinked
                 forms or forms linked 1-M that show only one record.
                 (In the latter cases, there may be many record that
                 COULD be shown.)
EndText

EndProc
;======

;===
Proc UK_TextJ ()
    ;===========

htitle.a = "GROUPS AND TABS"
hpanel.f = true
hup.a = "I"
hdn.a = "K"
hlines.n = 16
hstyle.a = ""

Text
      Group   A group is a set of sequential fields that are (1) on an
              embedded form, (2) on one page of a master form, (3) on
              segments of a master form separated by embedded forms.

  Tab Stops   You assign tab stops for convenience as part of the
              specification.  DESC automatically assigns additional
              tabs stops to the first and last positions of each group.

        TAB   You press the Tab key to move from one tab stop to another
  SHIFT TAB   -- going to the field with the next higher sequence number.
              You press Shift-Tab to go the tab stop with the next lower
              sequence number.  The tab keys work the same in Edit and
              View Modes.

              Note that the Tab keys move the cursor from page to page
              in a multi-page master form.
EndText

EndProc
;======

;===
Proc UK_TextLX ()
    ;============

htitle.a = "DATA ENTRY AND ENTER KEY"
hpanel.f = true
hup.a = "K"
hdn.a = "M"
hlines.n = 7
hstyle.a = ""

Text
 Data Entry   In Edit Mode, to set a value into a field, you must --

      Enter     -- press Enter which will move the cursor to the next
                   sequential field (if the entry is valid).

Record Move     -- press any of several keys that move the cursor to a
                   different form or record within a form or F2:OK/File
EndText

EndProc
;======

;===
Proc UK_TextL ()
    ;===========

htitle.a = "DATA ENTRY AND ENTER KEY"
hpanel.f = true
hup.a = "K"
hdn.a = "M"
hlines.n = 16
hstyle.a = "X"

Text
 Data Entry   In Edit Mode, to set a value into a field, you must press
              do one of the following:

      Enter     -- press Enter
   A1 Field     -- type a valid character into a one-character field
     Ctrl-D     -- press Ctrl-D to Ditto -- to copy a field value from
                   the prior record
L/U-Help+F2     -- press F2 from a LookupHelp table
 FieldView/
      Enter     -- press Enter from FieldView

              For the above, if the entry is valid, the cursor will be
              moved to the next sequential field.

Record Move     -- press any of several keys that move the cursor to a
                   different form or record within a form or F2:OK/File
EndText

EndProc
;======

;===
Proc UK_TextM ()
    ;===========

htitle.a = "FIELD RESET OR RESTORE"
hpanel.f = true
hup.a = "L"
hdn.a = "N"
hlines.n = 6
hstyle.a = ""

Text
Field Reset   For the the field-move keys, DESC will restore the field
              to whatever it held before you moved into it.

              Note!  You can restore a field value at time by pressing
              one of the arrow keys, and you can skip around a form
              without re-executing programmed functions.
EndText

EndProc
;======

;===
Proc UK_TextN ()
    ;===========

htitle.a = "REQUIRED FIELDS"
hpanel.f = true
hup.a = "M"
hdn.a = "O"
hlines.n = 11
hstyle.a = ""

Text
   Required   DESC will not allow you to leave a field with the Enter key
              if it is blank and the field has been specified as "Rqd".
              But you can leave a "Rqd" field with a tab or arrow.

        Rqd   Note!  The designation "Rqd" refers to the DESC specifi-
              cation, not the Paradox ValCheck.

 Rqd and F2   When you press F2 to OK/File a master record, DESC checks
              every "Rqd" field on the master and on every embedded
              record.  When a field is found that is blank, DESC reports
              the problem with the cursor on the blank field.
EndText

EndProc
;======

;===
Proc UK_TextO ()
    ;===========

htitle.a = "DELETING RECORDS"
hpanel.f = true
hup.a = "N"
hdn.a = "P"
hlines.n = 17
hstyle.a = ""

Text
         F8   In both Edit and View Modes, delete records by pressing F8.

   F8 Clear   Before a record is written to disk in edit mode, F8 clears
              the record without confirmation.

  F8 Delete   If the record has been "posted" (written to disk), you will
              be asked for confirmatiion, whereby you press F8 for a
 F8 Confirm   second time to complete the deletion or you press the the
              Space Bar to abort the deletion.

              Deletion is not possible on a DisplayOnly Form.

 Del Master   When you are on a master form, F8 deletes the master record
              and all related records displayed on embedded forms.

  Del Other   When you are on an embedded form, F8 deletes the record
              under the cursor.
EndText

EndProc
;======

;===
Proc UK_TextP ()
    ;===========

htitle.a = "LOOKUP HELP"
hpanel.f = true
hup.a = "O"
hdn.a = "Q"
hlines.n = 14
hstyle.a = ""

Text
 LookupHelp   You can select the key field from another table for entry
              into your form with LookupHelp.  This aid is available at
              selected fields as signaled by a prompt.

         F1   F1 is the call for LookupHelp.  You will see a table of
              data (covering your entry form) where the first field in
              the table contains a list of codes, one of which is to be
              entered on your entry form.

   F1 Moves   Move around the table with LEFT, RIGHT, UP, DOWN, PgUp,
              PgDn, HOME, END; or use ZOOM.  The object is to find a
              record with the right code for entry into your form.

              << Continued Next Screen >>
EndText

EndProc
;======

;===
Proc UK_TextQ ()
    ;===========

htitle.a = "LOOKUP HELP (Continued)"
hpanel.f = true
hup.a = "P"
hdn.a = "R"
hlines.n = 11
hstyle.a = ""

Text
              << Continued From Prior Screen >>

    Help+F2   In Edit Mode (but not in a DisplayOnly form), when you are
              on the right record in the table, press F2 to select the
              code from the record in the lookup table.  DESC returns you
              to the entry form, writes the selected code into the field
              on the form, and (optionally) does whatever pressing the
              Enter key would do.

   Help+Esc   Esc will get you out of LookupHelp and return you to
              the entry form.
EndText

EndProc
;======

;===
Proc UK_TextR ()
    ;===========

htitle.a = "ZOOM SEARCH"
hpanel.f = true
hup.a = "Q"
hdn.a = "S"
hlines.n = 15
hstyle.a = ""

Text
       Zoom   You can use Zoom and ZoomNext to find records with specific
              values in specific fields.

   Zoom Key   You move to the field and press Ctrl-Z, the Zoom key.  The
              cursor will move to the top of the screen where you type in
              the value to be searched for.  (Note!  The search is case
              sensitive).

   ZoomNext   The search always starts with the first record.  You will
              see a message announcing which record was found or that no
              match was found.  After one record has been found, you can
              continue to search through the table by pressing Alt-Z, the
              ZoomNext key.

              << Continued Next Screen >>
EndText

EndProc
;======

;===
Proc UK_TextS ()
    ;===========

htitle.a = "ZOOM SEARCH (Continued)"
hpanel.f = true
hup.a = "R"
hdn.a = "T"
hlines.n = 10
hstyle.a = ""

Text
              << Continued From Prior Screen >>

 Zoom Where   Zoom works in Edit and View Mode on different types of
              forms as follows (it also works on LookupHelp tables):

                                  Linked    Linked    Linked   Unlinked
                         Master   Key 1-M   Key 1-1   Field
                         ------   -------   -------   ------   --------
              Edit Mode    No       Yes       No        No        Yes
              View Mode    Yes      Yes       No        No        Yes
EndText

EndProc
;======

;===
Proc UK_TextI ()
    ;===========

htitle.a = "SCROLL KEYS"
hpanel.f = true
hup.a = "H"
hdn.a = "J"
hlines.n = 11
hstyle.a = "W"

Text
Scroll Keys               View Mode      Embedded       Unit 1-M
                Key      Unit Master    MultiRecord    or Unlinked
              --------   ------------   ------------   ------------
              CtrlHome   First Record   First Record   First Record
              CtrlEnd    Last Record    Last Record    Last Record

              PgUp       Prior Record   Prior Record   Prior Record
              PgDn       Next Record    Next Record    Next Record

              CtrlPgUp   5th Prior      Scroll Up      Prior Record
              CtrlPgDn   5th Next       Scroll Down    Next Record
EndText

EndProc
;======

;===
Proc UK_TextIP ()
    ;============

htitle.a = "SCROLL KEYS"
hpanel.f = true
hup.a = "H"
hdn.a = "J"
hlines.n = 11
hstyle.a = "P"

Text
Scroll Keys               View Mode      Embedded       Unit 1-M
                Key      Unit Master    MultiRecord    or Unlinked
              --------   ------------   ------------   ------------
              Home       First Record   First Record   First Record
              End        Last Record    Last Record    Last Record

              CtrlPgUp   Prior Record   Prior Record   Prior Record
              CtrlPgDn   Next Record    Next Record    Next Record

              PgUp       5th Prior      Scroll Up      Prior Record
              PgDn       5th Next       Scroll Down    Next Record
EndText

EndProc
;======

;===
Proc UK_TextK ()
    ;===========

htitle.a = "FIELD MOVES"
hpanel.f = true
hup.a = "J"
hdn.a = "L"
hlines.n = 16
hstyle.a = "W"

Text
Field Moves   Within a group or form, in either mode, to move from
              field to field, press --

       Down     -- \
      Right     --  \ For the same move as interactive Paradox,
         Up     --  / except staying within the group.
       Left     -- /

        End     -- End for the last field in the form
       Home     -- Home for the first field in the form

        Tab     -- Tab for the next tab stop in the form
  Shift-Tab     -- Shift-Tab for the prior tap stop in the form

              Note!  In Edit Mode, all of the above moves reset a
              field to whatever it held when you moved into it.
EndText

EndProc
;======

;===
Proc UK_TextKP ()
    ;===========

htitle.a = "FIELD MOVES"
hpanel.f = true
hup.a = "J"
hdn.a = "L"
hlines.n = 16
hstyle.a = "P"

Text
Field Moves   Within a group or form, in either mode, to move from
              field to field, press --

       Down     -- \
      Right     --  \ For the same move as interactive Paradox,
         Up     --  / except staying within the group.
       Left     -- /

    CtrlEnd     -- CtrlEnd for the last field in the form
   CtrlHome     -- CtrlHome for the first field in the form

        Tab     -- Tab for the next tab stop in the form
  Shift-Tab     -- Shift-Tab for the prior tap stop in the form

              Note!  In Edit Mode, all of the above moves reset a
              field to whatever it held when you moved into it.
EndText

EndProc
;======

;===
Proc UK_TextW ()
    ;===========

htitle.a = "HELP INDEX: A THROUGH End-.."
hpanel.f = false
hup.a = "U"
hdn.a = "X"
hline1.n = 18
hline2.n = 14
hstyle.a = "W"

Text
        L   A1 Field                       L   Data Entry
        T   Alt-F1, Help, DESC             T   Del, FieldView
        T   Alt-F5, FieldView              O   Delete Confirm
        B   Alt-F9, Enter-New-Record       O   Delete Embedded
        T   Alt-H, Help, DESC              O   Delete Master
        R   Alt-Z, ZoomNext                O   Delete Record
        K   Arrow Moves                    D   DisplayOnly Form
                                           L   Ditto, Ctrl-D
        B   Change-This-Record, F9         K   Down Arrow
        O   Clear/Delete, F8
        L   Ctrl-D, Ditto                  C   Edit Mode
        T   Ctrl-F, FieldView              D   Embedded Form
        C   Ctrl-U, UnDo                   K   End, Last Field in Group
        R   Ctrl-Z, Zoom                   B,C End-of-Job, F10
        I   CtrlEnd, Last Record
        I   CtrlHome, First Record
        I   CtrlPgDn, Scroll Records Down
        I   CtrlPgUp, Scroll Records Up
EndText

EndProc
;======

;===
Proc UK_TextWP ()
    ;===========

htitle.a = "HELP INDEX: A THROUGH End-.."
hpanel.f = false
hup.a = "U"
hdn.a = "XP"
hline1.n = 18
hline2.n = 14
hstyle.a = "P"

Text
        L   A1 Field                       L   Data Entry
        T   Alt-F1, Help, DESC             T   Del, FieldView
        T   Alt-F5, FieldView              O   Delete Confirm
        B   Alt-F9, Enter-New-Record       O   Delete Embedded
        T   Alt-H, Help, DESC              O   Delete Master
        R   Alt-Z, ZoomNext                O   Delete Record
        K   Arrow Moves                    D   DisplayOnly Form
                                           L   Ditto, Ctrl-D
        B   Change-This-Record, F9         K   Down Arrow
        O   Clear/Delete, F8
        L   Ctrl-D, Ditto                  C   Edit Mode
        T   Ctrl-F, FieldView              D   Embedded Form
        C   Ctrl-U, UnDo                   K   End, Last Record
        R   Ctrl-Z, Zoom                   B,C End-of-Job, F10
        I   CtrlEnd, Last Field in Group
        I   CtrlHome, First Field in Group
        I   CtrlPgDn, Next Record
        I   CtrlPgUp, Prior Record
EndText

EndProc
;======

;===
Proc UK_TextX ()
    ;===========

htitle.a = "HELP INDEX: Enter THROUGH K"
hpanel.f = false
hup.a = "W"
hdn.a = "Y"
hline1.n = 19
hline2.n = 19
hstyle.a = "W"

Text
        L   Enter Function                 T   FieldView, Alt-F5
        L   Enter, Enter Key               T   FieldView, Ctrl-F
        L   Enter, FieldView               L   FieldView, Enter
        B   Enter-New-Record, Alt-F9       K   First Field in Group, Home
        Q   Esc, LookupHelp Escape         I   First Record, CtrlHome
                                           E   Form Pages
        P   F1, LookupHelp                 D,E Form Type
        L,Q F2, LookupHelp Select
        C,L F2, OK/File                    J   Group
        J   F3, Prior Form                 J   Group Moves
        J   F4, Next Form
        C   F5, View-Mode, Set             T   Help, DESC, Alt-F1
        O   F8, Clear/Delete               T   Help, DESC, Alt-H
        B   F9, Change-This-Record         K   Home, First Field in Group
        B,C F10, End-of-Job
                                           E   Ins, Insert Record
        G   Field Linked                   E   Insert Record, Ins
        K   Field Moves
        M   Field Reset                    F   Key Linked
EndText

EndProc
;======

;===
Proc UK_TextXP ()
    ;===========

htitle.a = "HELP INDEX: Enter THROUGH K"
hpanel.f = false
hup.a = "WP"
hdn.a = "YP"
hline1.n = 19
hline2.n = 19
hstyle.a = "P"

Text
        L   Enter Function                 T   FieldView, Alt-F5
        L   Enter, Enter Key               T   FieldView, Ctrl-F
        L   Enter, FieldView               L   FieldView, Enter
        B   Enter-New-Record, Alt-F9       K   First Field in Group, CtrlHome
        Q   Esc, LookupHelp Escape         I   First Record, Home
                                           E   Form Pages
        P   F1, LookupHelp                 D,E Form Type
        L,Q F2, LookupHelp Select
        C,L F2, OK/File                    J   Group
        J   F3, Prior Form                 J   Group Moves
        J   F4, Next Form
        C   F5, View-Mode, Set             T   Help, DESC, Alt-F1
        O   F8, Clear/Delete               T   Help, DESC, Alt-H
        B   F9, Change-This-Record         K   Home, First Record
        B,C F10, End-of-Job
                                           E   Ins, Insert Record
        G   Field Linked                   E   Insert Record, Ins
        K   Field Moves
        M   Field Reset                    F   Key Linked
EndText

EndProc
;======

;===
Proc UK_TextY ()
    ;===========

htitle.a = "HELP INDEX: L THROUGH P"
hpanel.f = false
hup.a = "X"
hdn.a = "Z"
hline1.n = 16
hline2.n = 11
hstyle.a = "W"

Text
        K   Last Field in Group, End       J   Next Group, F4
        I   Last Record, CtrlEnd           I   Next Record, PgDn
        K   Left Arrow                     K   Next Tab Stop, Tab
        F   Linked 1-1
        F   Linked 1-M                     C,L OK/File, F2
        Q   LookupHelp Escape, Esc
        P   LookupHelp Moves               I   PgDn, Next Record
        L,Q LookupHelp Select, F2          I   PgUp, Prior Record
        P   LookupHelp, F1                 J   Prior Group
                                           I   Prior Record, PgUp
        D   Master Form                    K   Prior Tab Stop, ShiftTab
        B,C Mode
        K   Moves, Field
        I   Moves, InterGroup
        K   Moves, IntraGroup
        E   MultiRecord Form
EndText

EndProc
;======

;===
Proc UK_TextYP ()
    ;===========

htitle.a = "HELP INDEX: L THROUGH P"
hpanel.f = false
hup.a = "XP"
hdn.a = "ZP"
hline1.n = 16
hline2.n = 11
hstyle.a = "P"

Text
        K   Last Field in Group, CtrlEnd   J   Next Group, F4
        I   Last Record, End               I   Next Record, CtrlPgDn
        K   Left Arrow                     K   Next Tab Stop, Tab
        F   Linked 1-1
        F   Linked 1-M                     C,L OK/File, F2
        Q   LookupHelp Escape, Esc
        P   LookupHelp Moves               I   PgDn, Scroll Records Down
        L,Q LookupHelp Select, F2          I   PgUp, Scroll Records Up
        P   LookupHelp, F1                 J   Prior Group
                                           I   Prior Record, CtrlPgUp
        D   Master Form                    K   Prior Tab Stop, ShiftTab
        B,C Mode
        K   Moves, Field
        I   Moves, InterGroup
        K   Moves, IntraGroup
        E   MultiRecord Form
EndText

EndProc
;======

;===
Proc UK_TextZ ()
    ;===========

htitle.a = "HELP INDEX: R THROUGH Z"
hpanel.f = false
hup.a = "Y"
hdn.a = "A"
hline1.n = 17
hline2.n = 15
hstyle.a = "W"

Text
        N   Required Field                 C   UnDo, Ctrl-U
        M   Reset Field                    G   UnLinked
        K   Right Arrow                    M   Undo Field-Level
        N   Rqd Field                      E   Unit Form
        N   Rqd, Enter                     K   Up Arrow
        N   Rqd, F2
                                           B   View Mode
        I   Scroll Records Down, CtrlPgDn  C   View-Mode, Set, F5
        I   Scroll Records Up, CtrlPgUp
        H   Scroll, FormType               R   Zoom, Ctrl-Z
        I   Scroll, Keys                   S   Zoom, Edit Mode
        H   Scroll, LinkType               S   Zoom, FormType
        H   Scroll, Mode                   S   Zoom, LinkType
        H   Scrolling                      S   Zoom, View Mode
        J   ShiftTab, Prior Tab Stop       R   ZoomNext, Alt-Z

        J   Tab, Next Tab Stop
EndText

EndProc
;======

;===
Proc UK_TextZP ()
    ;===========

htitle.a = "HELP INDEX: R THROUGH Z"
hpanel.f = false
hup.a = "YP"
hdn.a = "A"
hline1.n = 17
hline2.n = 15
hstyle.a = "P"

Text
        N   Required Field                 C   UnDo, Ctrl-U
        M   Reset Field                    G   UnLinked
        K   Right Arrow                    M   Undo Field-Level
        N   Rqd Field                      E   Unit Form
        N   Rqd, Enter                     K   Up Arrow
        N   Rqd, F2
                                           B   View Mode
        I   Scroll Records Down, PgDn      C   View-Mode, Set, F5
        I   Scroll Records Up, PgUp
        H   Scroll, FormType               R   Zoom, Ctrl-Z
        I   Scroll, Keys                   S   Zoom, Edit Mode
        H   Scroll, LinkType               S   Zoom, FormType
        H   Scroll, Mode                   S   Zoom, LinkType
        H   Scrolling                      S   Zoom, View Mode
        J   ShiftTab, Prior Tab Stop       R   ZoomNext, Alt-Z

        J   Tab, Next Tab Stop
EndText

EndProc
;======

;===
Proc UK_TextA ()
    ;===========

htitle.a = "HELP TABLE OF CONTENTS -- SEE PROMPTS FOR INSTRUCTION"
hpanel.f = false
hup.a = "Z"
hdn.a = "B"
hline1.n = 15
hline2.n = 16
hstyle.a = ""

Text
         A   Table of Contents              L   Data Entry & Enter Key
                                            M   Field Reset
         B   View Mode                      N   Required Fields
         C   Edit Mode                      O   Deleting Records

         D   Master & Embedded Forms        P   LookupHelp
         E   Unit & MultiRecord Forms       Q   LookupHelp -- Continued
         F   Key Linked Forms               R   Zoom
         G   Field- & Un-Linked Forms       S   Zoom -- Continued
                                            T   FieldView, DESC-Help
         H   Scrolling
         I   Scroll Keys                    U   Command Summary
                                            W   Index, A through End
         J   Groups and Tabs                X   Index, Enter through K
         K   Field Moves                    Y   Index, L through P
                                            Z   Index, R through Z
EndText

EndProc
;======

;===
Proc UK_TextT ()
    ;===========

htitle.a = "FIELD VIEW AND DESC HELP"
hpanel.f = true
hup.a = "S"
hdn.a = "U"
hlines.n = 15
hstyle.a = ""

Text
  FieldView   You can use Paradox FieldView from either Edit or View
              Mode.
     Alt-F5
     Ctrl-F   To get into FieldView, press either Alt-F5 or Ctrl-F.

   FV+Enter   To leave FieldView, press Enter.

              In Edit Mode, DESC will execute the enter function when you
              leave FieldView -- i.e., you only have to press Enter once.

  DESC Help   To display the DESC help screens, press either Alt-F1 or
              Alt-H.  To return to Edit or View Mode, press Esc.

              To navigate the help screens, follow the instructions on the
              prompt lines.
EndText

ENDPROC
;======

;===
Proc UK_TextU ()
    ;===========

htitle.a = "COMMAND SUMMARY"
hpanel.f = true
hup.a = "T"
hdn.a = "W"
hlines.n = 19
hstyle.a = ""

Text
         F1   Look-Up Help (no selection with F2 from View Mode)
     Alt-F1   DESC Help
         F2   OK/File (a master record)
         F3   Move to Next Form
         F4   Move to Prior Form
         F5   Set View Mode (displaying last record)
     Alt-F5   Enter FieldView
         F8   Delete Record or Clear Screen of Unposted Record
         F9   Edit Record Being Viewed
     Alt-F9   Enter New Record (from View Mode only)
        F10   End of Job -- Go to Calling Menu or Script

     Ctrl-D   Ditto Corresponding Field from Prior Record (Edit Mode only)
     Ctrl-F   Enter FieldView
     Ctrl-U   UnDo
     Ctrl-Z   Zoom (except from Edit Mode with master record)

      Alt-H   DESC Help
      Alt-Z   ZoomNext
EndText

ENDPROC
;======

;===
Proc UK_TextV ()
    ;===========

htitle.a = "UNTITLED"
hpanel.f = true
hup.a = "S"
hdn.a = "W"
hlines.n = 1
hstyle.a = ""

Text
             This Help Screen Is Reserved for Future Extensions
EndText

ENDPROC
;======
